Full name: projects.locations.instances.verifyRuleText
Verifies the given rule text.
HTTP request
POST https://{endpoint}/v1/{instance}:verifyRuleText
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
instance |
Required. The name of the parent resource, which is the SecOps instance associated with the request. Format: |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "ruleText": string } |
| Fields | |
|---|---|
ruleText |
Required. The rule text to verify as a UTF-8 string. |
Response body
Response message for instances.verifyRuleText method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "success": boolean, "compilationDiagnostics": [ { object ( |
| Fields | |
|---|---|
success |
Whether or not the rule text was successfully verified. |
compilationDiagnostics[] |
A list of a rule's corresponding compilation diagnostic messages such as compilation errors and compilation warnings. |
allowedRunFrequencies[] |
The run frequencies that are allowed for the rule. |
nearRealTimeLiveRuleEligible |
Indicates whether the rule can run as a near real-time live rule. If this is true, the rule runs as a near real-time live rule when the run frequency is set to LIVE. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chronicle
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the instance resource:
chronicle.rules.verifyRuleText
For more information, see the IAM documentation.